For the complete documentation index, see llms.txt. This page is also available as Markdown.

Initiate new KYC

Initiates a new KYC process.

Endpoint: POST /kyc/start

Request Body

{
  "kycExternalUserId": "unique-string",
  "callbackUrl": "string",
  "sort": "string"
}

Request Fields

Field
Type
Required
Description

kycExternalUserId

String

Yes

Your unique final user ID

sort

String

Yes

Sort of KYC you are making KYC for

callbackUrl

String

No

URL to call via POST when KYC status changes (see callback fields)

Response

If the request is successful, the API returns a JSON object containing the URL for manual KYC completion and the uuid for automatic KYC processing.

{
  "uuid": "unique-string",
  "urlForUser": "https://somewhere.to/someuuid"
}

Response Fields

Field
Type
Description

uuid

String

UUID of KYC for automatic KYC processing.

urlForUser

String

URL for manual KYC completion

Last updated